Bug 191829 - Meaningless error message when unable to connect to remote mail server
Meaningless error message when unable to connect to remote mail server
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fetchmail (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-15 19:38 EDT by Tethys
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 6.3.4-0.fc5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-07 18:06:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tethys 2006-05-15 19:38:25 EDT
Description of problem:
If fetchmail tries to connect to a remote server that isn't listening on
the appropriate port (say 110 for pop3), then it issues a rather generic
and not particularly helpful error message:

leto:~% fetchmail
fetchmail: Query status=2 (SOCKET)

This should really be changed to something that gives a bit more information.
For example, trying to telnet to the same machine gives:

leto:~# telnet 194.106.56.118 110
Trying 194.106.56.118...
telnet: connect to address 194.106.56.118: Connection refused
telnet: Unable to connect to remote host: Connection refused

Which gives a much better indication of the problem.

Version-Release number of selected component (if applicable):
fetchmail-6.2.5.5-1.fc4

How reproducible:
Every time

Steps to Reproduce:
1. Run fetchmail against a host that isn't listening on the applicable port
2. 
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Miloslav Trmač 2006-06-07 18:06:35 EDT
Thanks for your report.

Reporting of this error is better in fetchmail-6.3.4, available in FC-5:
$ fetchmail 
Enter password for mitr@localhost:
POP3 connection to localhost failed: Connection refused
fetchmail: Query status=2 (SOCKET)

Note You need to log in before you can comment on or make changes to this bug.